<script>
export default {
  name: "ExportDialog",
  data() {
    return {};
  },
  computed: {},
  watch: {},
  methods: {
    //
    open(prop) {
      this.$confirm("是否确认导出所有数据项?", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "info",
      })
        .then(() => {
          this.download(
            "pu/contract/export",
            { ...prop },
            `contract_${new Date().getTime()}.xlsx`
          );
        })
        .catch((err) => {
          console.error(err);
        });
    },
  },
  created() {},
  mounted() {},
  destroyed() {},
};
</script>
<template></template>
